8.1 JP N3DS owners only club, Thoughts & Suggestions on the latest DEC 2015 announcements?

Discussion in '3DS - Flashcards & Custom Firmwares' started by retrofan_k, Dec 30, 2015.

  1. retrofan_k
    OP

    retrofan_k GBAtemp Advanced Maniac

    Member
    1,818
    1,113
    May 31, 2013
    Belarus
    Caves
    As a fellow owner of this console and firmware and since it's kinda useless being on 8.1, unless you have a GW card, I just wanted to hear other users thoughts and suggestions with regards to the recent developments and announcements with newer exploits and whether you consider staying on 8.1 or taking the risk of updating to 10.3?

    I personally, missed the opportunity window to update to 9.2 because the company I ordered from, shipped it a week late during the 9.3 update push. If was shipped the day/week they promised, I would have made it to update to 9.2.

    I know there is a method of using a private server to update to 9xx, yet I have seen 3 different tutorials that differ completely with conflicting information (different scripts, index.php, etc) and with some saying it's also unreliable and also the fact that you need to disable any blocks like update URLS, blah, blah, which is something I don't feel comfortable doing, so for now I have decided to leave that idea of doing that.


    I tagged you "TheShadowRunner" since I noticed you mentioned you had one of these units and I don't see many that discuss this particular imported console and firmware.

    @TheShadowRunner
     
  2. Ericjwg

    Ericjwg Good

    Member
    2,866
    693
    Jul 2, 2015
    Canada
  3. Syphurith

    Syphurith Beginner

    Member
    641
    222
    Mar 8, 2013
    Switzerland
    Xi'an, Shaanxi Province
    Yes this version, N3DS with 8.1J can be updated to 9.1J with your own set up of private update server.
    That is in fact easy to do, but the steps seem complicated to most endusers.
    I'm too lazy to write an English version of its tutorial myself, and you can find it on other pages.
    Including a Chinese one, http://bbs.duowan.com/thread-44059236-1-1.html <- You should read the 1st, 5th and 40th posts carefully.
    There is also a Translated one here, http://gbatemp.net/threads/tutorial-update-3ds-8-1-to-9-x.406407/
    Please pick your choice and do those with care. And remember you should have a working SysNAND dump before any updates to SysNAND.
     
  4. cearp

    cearp the ticket master

    Member
    7,521
    4,778
    May 26, 2008
    Tuvalu
    does homemenuhax support 8.1?
    i think 8.1 has premilinary theme support. yes, on the github yellows8 says 8.1 should be ok right.
    so why don't you install it? you have gw, so, get devmenu.3ds, get hbloader cia or whatever it is called, and install homemenuhax.
     
  5. retrofan_k
    OP

    retrofan_k GBAtemp Advanced Maniac

    Member
    1,818
    1,113
    May 31, 2013
    Belarus
    Caves
    I didn't find it complicated, just the translated one could have been written better and it needs fixing as there are errors in it, i.e not including the 3DS IP, as it says local IP for all. Other tutorials I have seen have said to edit the xml files to your local IP, yet again that tutorial does not mention that and only just the server port.

    I managed to get to the end of it all and get to the actually update screen in NTR mode but it throws an error out in Japanese and I dont feel comfortable removing my update blocks in my router in case of a real Nintendo update.
     
  6. Syphurith

    Syphurith Beginner

    Member
    641
    222
    Mar 8, 2013
    Switzerland
    Xi'an, Shaanxi Province
    Well.... if you're really using my PHP setup, you don't need to care about the IPs. Just access the url with correct IP.
    Such as, my local wifi network: PC 192.168.137.1, 3ds 192.168.137.4 (Phone 192.168.137.5). Port 8080, index.php is in a /www/3ds.
    Then I can try the url http://192.168.137.1:8080/3ds on PC, also on my phone.
    You don't need to touch the XML (the 1KB one), that is only a template in which PHP would fills the data.
    If you have your 3ds and PC at hand now, you could try to complete this in minutes, if you want to follow my instructions.
    Also you don't need internet connection, only a wifi local network is enough.
     
  7. retrofan_k
    OP

    retrofan_k GBAtemp Advanced Maniac

    Member
    1,818
    1,113
    May 31, 2013
    Belarus
    Caves

    Unless I missed something:

    Every version starting with v9.0 is supported unless mentioned otherwise, system-versions starting with 10.2.0-X are not supported with themehax(see above). The release-archive builds for shufflehax are only built for 10.2.0-X and 10.3.0-X.
     
  8. Syphurith

    Syphurith Beginner

    Member
    641
    222
    Mar 8, 2013
    Switzerland
    Xi'an, Shaanxi Province
    If you need to update the console, and your 3ds and PC are at hands.. Oh. I must have my lunch now.
    The 8.1J N3ds comes in 8.1.0-? or 8.1.0-0. Ninjahax 2.x only offers 9.x and above, and I've find nowhere to get the old 1.1b again (except save backup).
    And 1.1b needs browser to load its payload, so on a 8.1.0-0J you can not do that (but you may want to install the browser individually).
     
  9. cearp

    cearp the ticket master

    Member
    7,521
    4,778
    May 26, 2008
    Tuvalu
    yes i see that too but i also see this:

    "themehax: The original vuln for this repo was discovered on December 22, 2014. This flaw was introduced with the Home Menu version which added support for themes: 9.0.0-X on Old3DS, v8.1 on JPN-New3DS. Old3DS JPN theme support was "added" 9.1.0-XJ. The release date for this exploit was September 25, 2015."

    that's all i know :)